org.apache.felix.bundleplugin

## Class DependencyEmbedder

- java.lang.Object
- - org.apache.felix.bundleplugin.AbstractDependencyFilter
  - - org.apache.felix.bundleplugin.DependencyEmbedder

-     public final class DependencyEmbedder
      extends AbstractDependencyFilter

  Add BND directives to embed selected dependencies inside a bundle
  Author:
    Felix Project Team

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EMBED_DEPENDENCY`
    `static String` | `EMBED_DIRECTORY`
    `static String` | `EMBED_STRIP_GROUP`
    `static String` | `EMBED_STRIP_VERSION`
    `static String` | `EMBED_TRANSITIVE`
    `static String` | `EMBEDDED_ARTIFACTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyEmbedder(org.apache.maven.plugin.logging.Log log, Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<org.apache.maven.artifact.Artifact>` | `getEmbeddedArtifacts()`
    `Collection<String>` | `getInlinedPaths()`
    `protected void` | `processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies, String inline)`
    `void` | `processHeaders(aQute.bnd.osgi.Analyzer analyzer)`

    - ### Methods inherited from class org.apache.felix.bundleplugin.AbstractDependencyFilter

      `processInstructions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMBED_DEPENDENCY

          public static final String EMBED_DEPENDENCY

      See Also:
        Constant Field Values

    - #### EMBED_DIRECTORY

          public static final String EMBED_DIRECTORY

      See Also:
        Constant Field Values

    - #### EMBED_STRIP_GROUP

          public static final String EMBED_STRIP_GROUP

      See Also:
        Constant Field Values

    - #### EMBED_STRIP_VERSION

          public static final String EMBED_STRIP_VERSION

      See Also:
        Constant Field Values

    - #### EMBED_TRANSITIVE

          public static final String EMBED_TRANSITIVE

      See Also:
        Constant Field Values

    - #### EMBEDDED_ARTIFACTS

          public static final String EMBEDDED_ARTIFACTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DependencyEmbedder

          public DependencyEmbedder(org.apache.maven.plugin.logging.Log log,
                            Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)

  - ### Method Detail

    - #### processHeaders

          public void processHeaders(aQute.bnd.osgi.Analyzer analyzer)
                              throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### processDependencies

          protected void processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies,
                                 String inline)

      Specified by:
        `processDependencies` in class `AbstractDependencyFilter`

    - #### getInlinedPaths

          public Collection<String> getInlinedPaths()

    - #### getEmbeddedArtifacts

          public Collection<org.apache.maven.artifact.Artifact> getEmbeddedArtifacts()

Copyright © 2015. All rights reserved.